from turtle import * #on importe turtle

def carre():                        #on définit le carré
    color("red")                    #on choisit la couleur du carré
    begin_fill()                    #cette fonction commence à dessiner une forme
    for i in range (4) :            #on définit la forme à dessiner, on veut que cette forme se répète 4 fois
        down()                      # le stylo va en bas
        forward(50)                 # il se déplace de 50
        left(90)                    # tourne à gauche en angle droit
    end_fill()                      # la forme est finie

def ligne():                        #on définit notre motif
    for i in range (1):             #on veut un carré donc on réalise 1 itération
        carre()                     # le carré se dessine
        up()                        # le stylo se lève

x=0                                #on choisit les coordonnées
y=0

for i in range (1) :               #le carré se forme
    goto(x,y)
    ligne()
    x=0

